Browse endpoints

Validate a Medicare card

POST /api/v2/dvs/medicare operationId: dvs.medicare

Live: https://gdapi.globaldata.net.au/api/v2/dvs/medicare · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/dvs/medicare

Validates a Medicare card against the Australian Document Verification Service (DVS).

Sandbox environment

When simulating queries in the sandbox environment, a specific set of medicare cards will return a specific result. The response will be determined by the card number:

DVS sandbox responses for this document

Request body

Content type application/json. The medicare card details to validate

FieldDescription
preflight boolean

When set to true, the request will only perform a preflight check to validate the input parameters. No actual verification will be performed.

Example: false

consent boolean

The individual's consent to perform the check

Example: true

full_name1 string

Line 1 of the full name of the card holder

Example: Marguerite

full_name2 string

Line 2 of the full name of the card holder

Example: Eleanor

full_name3 string

Line 3 of the full name of the card holder

Example: Jayne

full_name4 string

Line 4 of the full name of the card holder

Example: Salisbury

birth_date string (date)

The date of birth of the card holder

Example: 1980-01-01

card_number string

The card number on the card to be validated

Example: 2951636283

individual_ref_number string

The individual reference number on the card for the card holder

Pattern: ^[1-9]{1}$

Example: 1

card_expiry string

The expiry date of the card to be validated

Example: 2024-02

card_type string

The type of card to be validated

Enum: G, Y, B

Example: G

Responses

200

Result of the document verification check

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

function string

The function that was called

Example: dvs_medicare

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request in the logs.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

data object

The check data

data.response_type string

The type of response

Example: MedicareResponse

data.activity_id string

A reference ID for this activity. This ID can be used to track the activity in the logs.

Example: sandbox-d06ed58a-b279-4f50-9b6e-5a0a26b4e87d

data.verification_request_number string

A unique reference number for this request

Example: dec306ed-7cff-41c0-b02f-889e430f5309

data.verification_result_code string

The result of the verification

  • Y - The document is valid
  • N - The document was not matched
  • D - The document is invalid or not electronically captured
  • S - An error occurred during the check

Enum: Y, N, S, D

Example: N

data.additional_information array of objects

An array of expanded responses returned from the DVSHub or Document Issuer for N or D results

data.additional_information[].message string

A message indicating the reason for the N or D result.

Example: Name does not match.

data.additional_information[].code string

A code number associated with the corresponding message.

Example: MD-001

202

A successful preflight check. A 400 will be returned if the preflight check fails.

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

function string

The function that was called

Example: dvs_aec

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request in the logs.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

data null

For preflight checks this is null

Standard error responses: 400 401 402 403 429 503 5XX See common error responses